//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// TypeScript support for Blazor-WASM application | Author: Sergei Y.Kitaev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// WASM-helpers for access to AFXUI.dll (.NET-functions) from TypeScript/JS (static class):
class AFXUI
{
   private static _AssemblyName_: string|null = 'AFXUI'

   static Invoke(methodName: string) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName)
   }
   static Invoke_1(methodName: string, arg_1: any) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1)
   }
   static Invoke_2(methodName: string, arg_1: any, arg_2: any) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2)
   }
   static Invoke_3(methodName: string, arg_1: any, arg_2: any, arg_3: any) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3)
   }
   static Invoke_4(methodName: string, arg_1: any, arg_2: any, arg_3: any, arg_4: any) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3, arg_4)
   }
   static Invoke_5(methodName: string, arg_1: any, arg_2: any, arg_3: any, arg_4: any, arg_5: any) {
      DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3, arg_4, arg_5)
   }

   static InvokeReturn(methodName: string): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName)
   }
   static InvokeReturn_1(methodName: string, arg_1: any): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1)
   }
   static InvokeReturn_2(methodName: string, arg_1: any, arg_2: any): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2)
   }
   static InvokeReturn_3(methodName: string, arg_1: any, arg_2: any, arg_3: any): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3)
   }
   static InvokeReturn_4(methodName: string, arg_1: any, arg_2: any, arg_3: any, arg_4: any): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3, arg_4)
   }
   static InvokeReturn_5(methodName: string,
      arg_1: any, arg_2: any, arg_3: any, arg_4: any, arg_5: any): any {
      return DotNet.invokeMethod(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3, arg_4, arg_5)
   }

   static AsyncInvoke(methodName: string): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_, methodName)
   }
   static AsyncInvoke_1(methodName: string, arg_1: any): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_, methodName, arg_1)
   }
   static AsyncInvoke_2(methodName: string, arg_1: any, arg_2: any): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_, methodName, arg_1, arg_2)
   }
   static AsyncInvoke_3(methodName: string, arg_1: any, arg_2: any, arg_3: any): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3)
   }
   static AsyncInvoke_4(methodName: string, arg_1: any, arg_2: any, arg_3: any, arg_4: any): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_, methodName, arg_1, arg_2, arg_3, arg_4)
   }
   static AsyncInvoke_5(methodName: string,
      arg_1: any, arg_2: any, arg_3: any, arg_4: any, arg_5: any): any {
      return DotNet.invokeMethodAsync(AFXUI._AssemblyName_,
         methodName, arg_1, arg_2, arg_3, arg_4, arg_5)
   }
} // AFXUI
